
abstract type AbstractParticle end

abstract type Fermion <: AbstractParticle end
abstract type AntiFermion <: AbstractParticle end
abstract type Boson <: AbstractParticle end

struct Electron <: Fermion end
struct Positron <: AntiFermion end
struct Muon <: Fermion end
struct AntiMuon <: AntiFermion end
struct Tauon <: Fermion end
struct AntiTauon <: AntiFermion end

struct Photon <: Boson end
struct ZBoson <: Boson end
struct WNBoson <: Boson end
struct WPBoson <: Boson end
struct Higgs <: Boson end


